CVE-2019-14496

Published: 01 August 2019

LoaderXM::load in LoaderXM.cpp in milkyplay in MilkyTracker 1.02.00 has a stack-based buffer overflow.

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
milkytracker
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Not vulnerable
(1.02.00+dfsg-2)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.02.00+dfsg-2)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.02.00+dfsg-2)
Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.90.85+dfsg-2.2+deb8u1build0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Patches:
Upstream: https://github.com/milkytracker/MilkyTracker/commit/ea7772a3fae0a9dd0a322e8fec441d15843703b7